components:
  schemas:
    Storage_v1_3_11_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#Storage.SetEncryptionKey':
          $ref: '#/components/schemas/Storage_v1_3_11_SetEncryptionKey'
        Oem:
          $ref: '#/components/schemas/Storage_v1_3_11_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        Enclosures:
          description: An array of links to the chassis to which this storage subsystem
            is attached.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `Chassis` that represent the physical containers attached to this
            resource.
        Enclosures@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_SetEncryptionKey:
      additionalProperties: false
      description: This action sets the local encryption key for the storage subsystem.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall set the local encryption key for the storage
        subsystem.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_SetEncryptionKeyRequestBody:
      additionalProperties: false
      description: This action sets the local encryption key for the storage subsystem.
      properties:
        EncryptionKey:
          description: The local encryption key to set on the storage subsystem.
          type: string
          x-longDescription: This parameter shall contain the local encryption key
            to set on the storage subsystem.
      required:
      - EncryptionKey
      type: object
      x-longDescription: This action shall set the local encryption key for the storage
        subsystem.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_Storage:
      additionalProperties: false
      description: The `Storage` schema defines a storage subsystem and its respective
        properties.  A storage subsystem represents a set of physical or virtual storage
        controllers and the resources, such as volumes, that can be accessed from
        that subsystem.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Storage_v1_3_11_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Drives:
          description: The set of drives attached to the storage controllers that
            this resource represents.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain a set of the drives attached
            to the storage controllers that this resource represents.
        Drives@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/Storage_v1_3_11_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Redundancy:
          description: Redundancy information for the storage subsystem.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Redundancy.yaml#/components/schemas/Redundancy_Redundancy
          type: array
          x-autoExpand: true
          x-longDescription: This property shall contain redundancy information for
            the storage subsystem.
        Redundancy@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        StorageControllers:
          description: The set of storage controllers that this resource represents.
          items:
            $ref: '#/components/schemas/Storage_v1_3_11_StorageController'
          readOnly: true
          type: array
          x-autoExpand: true
          x-longDescription: This property shall contain a set of the storage controllers
            that this resource represents.
        StorageControllers@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Volumes:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The set of volumes that the storage controllers produce.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `VolumeCollection`.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a storage subsystem in the
        Redfish Specification.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_StorageController:
      additionalProperties: false
      description: The StorageController schema describes a storage controller and
        its properties.  A storage controller represents a physical or virtual storage
        device that produces volumes.
      properties:
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        Actions:
          $ref: '#/components/schemas/Storage_v1_3_11_StorageControllerActions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_2_0
        AssetTag:
          description: The user-assigned asset tag for this storage controller.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall track the storage controller for
            inventory purposes.
        FirmwareVersion:
          description: The firmware version of this storage controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the firmware version as defined
            by the manufacturer for the associated storage controller.
        Identifiers:
          description: The durable names for the storage controller.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          type: array
          x-longDescription: This property shall contain a list of all known durable
            names for the associated storage controller.
        Links:
          $ref: '#/components/schemas/Storage_v1_3_11_StorageControllerLinks'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
          x-versionAdded: v1_1_0
        Manufacturer:
          description: The manufacturer of this storage controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the organization
            responsible for producing the storage controller.  This organization may
            be the entity from which the storage controller is purchased, but this
            is not necessarily true.
        MemberId:
          description: The unique identifier for the member within an array.
          readOnly: true
          type: string
          x-longDescription: This property shall contain the unique identifier for
            this member within an array.  For services supporting Redfish v1.6 or
            higher, this value shall contain the zero-based array index.
        Model:
          description: The model number for the storage controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name by which the manufacturer
            generally refers to the storage controller.
        Name:
          description: The name of the storage controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the storage controller.
          x-versionAdded: v1_3_0
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PartNumber:
          description: The part number for this storage controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a part number assigned by
            the organization that is responsible for producing or manufacturing the
            storage controller.
        SKU:
          description: The SKU for this storage controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the stock-keeping unit number
            for this storage controller.
        SerialNumber:
          description: The serial number for this storage controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a manufacturer-allocated
            number that identifies the storage controller.
        SpeedGbps:
          description: The maximum speed of the storage controller's device interface.
          minimum: 0
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall represent the maximum supported speed
            of the storage bus interface, in Gbit/s.  The specified interface connects
            the controller to the storage devices, not the controller to a host.  For
            example, SAS bus not PCIe host bus.
          x-units: Gbit/s
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        SupportedControllerProtocols:
          description: The supported set of protocols for communicating with this
            storage controller.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Protocol.yaml#/components/schemas/Protocol_Protocol
          readOnly: true
          type: array
          x-longDescription: This property shall contain the supported set of protocols
            for communicating with this storage controller.
        SupportedDeviceProtocols:
          description: The protocols that the storage controller can use to communicate
            with attached devices.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Protocol.yaml#/components/schemas/Protocol_Protocol
          readOnly: true
          type: array
          x-longDescription: This property shall contain the set of protocols this
            storage controller can use to communicate with attached devices.
      required:
      - '@odata.id'
      - MemberId
      type: object
      x-longDescription: This resource shall represent a storage controller in the
        Redfish Specification.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_StorageControllerActions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Storage_v1_3_11_StorageControllerOemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_StorageControllerLinks:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        Endpoints:
          description: An array of links to the endpoints that connect to this controller.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `Endpoint` with which this controller is associated.
          x-versionAdded: v1_1_0
        Endpoints@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Storage_v1_3_11_StorageControllerOemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Storage.v1_3_11.Storage'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2017.2'
